Bug 134777 - Tar with verify (-W) gives "Cannot seek: Illegal seek" error
Summary: Tar with verify (-W) gives "Cannot seek: Illegal seek" error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tar   
(Show other bugs)
Version: 2
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-06 08:56 UTC by Szombathelyi György
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1.15.1-10.FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 12:22:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Szombathelyi György 2004-10-06 08:56:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; hu-HU; rv:1.7)
Gecko/20040616

Description of problem:
If I run tar with the verify (-W) option, after it finishes the write,
gives a "Warning: Cannot seek: Illegal seek" error message, and cannot
start the verifying procedure.

My command line is: tar -b 64 -Wcvf /dev/st0 directories-to-save
I'm using an Adaptec AAA-133 SCSI Host Adapter, with the aic7xxx
driver, and a HP-C1537A DDS-3 tape drive.
The kernel version is:  2.6.8-1.521



Version-Release number of selected component (if applicable):
tar-1.13.25-14

How reproducible:
Always

Steps to Reproduce:
1. Start a backup with the -W option in tar.
2. Wait for the writing to finish.

    

Actual Results:  The verify process will not start, instead the above
error message appears.

Expected Results:  The verify process should start.

Additional info:

With FC1, the verify option worked well.
Also, I found out that others have this problem:
http://linux.derkeiler.com/Newsgroups/comp.os.linux.hardware/2004-08/0822.html

Comment 1 Matthew Miller 2005-04-26 16:34:06 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Peter Vrabec 2005-10-17 08:47:50 UTC
Does this problem still exist in FC4?

Comment 3 Szombathelyi György 2005-10-17 12:08:42 UTC
No, FC4 does work!


Note You need to log in before you can comment on or make changes to this bug.